Package com.sun.jna.platform.win32.COM.tlb.imp

## Class TlbEnum

- java.lang.Object
- - com.sun.jna.platform.win32.COM.tlb.imp.TlbBase
  - - com.sun.jna.platform.win32.COM.tlb.imp.TlbEnum

    public class TlbEnum
    extends TlbBase

The Class TlbEnum.

Author:
  Tobias Wolf, wolf.tobias@gmx.net

### Field Summary

### Fields inherited from class com.sun.jna.platform.win32.COM.tlb.imp.TlbBase

`bindingMode, classBuffer, content, CR, CRCR, filename, IDISPATCH_METHODS, index, IUNKNOWN_METHODS, name, TAB, TABTAB, templateBuffer, typeInfoUtil, typeLibUtil`

### Constructor Summary

Constructors
`TlbEnum​(int index, java.lang.String packagename, TypeLibUtil typeLibUtil)` Instantiates a new tlb enum.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `createJavaDocHeader​(java.lang.String guid, java.lang.String helpstring)` Creates the java doc header.
`protected java.lang.String` `getClassTemplate()` Gets the class template.

### Methods inherited from class com.sun.jna.platform.win32.COM.tlb.imp.TlbBase

`createClassName, createContent, createPackageName, getClassBuffer, getFilename, getName, isDispIdMode, isReservedMethod, isVTableMode, log, logError, logInfo, readTemplateFile, replaceVariable, setFilename, setName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TlbEnum

    public TlbEnum​(int index,
                   java.lang.String packagename,
                   TypeLibUtil typeLibUtil)

Instantiates a new tlb enum.

Parameters:
  `index` - the index
  `typeLibUtil` - the type lib util

### Method Detail

#### createJavaDocHeader

    protected void createJavaDocHeader​(java.lang.String guid,
                                       java.lang.String helpstring)

Creates the java doc header.

Parameters:
  `guid` - the guid
  `helpstring` - the helpstring

#### getClassTemplate

    protected java.lang.String getClassTemplate()

Description copied from class: `TlbBase`
Gets the class template.

Specified by:
  `getClassTemplate` in class `TlbBase`
Returns:
  the class template